



/*  */
.top-side{
    grid-row: 1/span 6;
    overflow: hidden;
    position: relative;
    align-items: flex-end;
    background-color: var(--primary-color);
}
.top-side::before{
    content: "";
    position: absolute;
    width: 80%;
    background-color: var(--secondary-color);
    height: 70%;
    top: 50%;
    left: -25%;
    transform: rotate(20deg);
}
.top-side::after{
    content: "";
    position: absolute;
    width: 80%;
    background-color: var(--secondary-color);
    height: 70%;
    top: 50%;
    right: -25%;
    transform: rotate(-20deg);
}
.top-side img{
    z-index: 100;
    width: 40%;
    height: 45%;
    border-radius: 50%;
    border: 1rem solid var(--primary-color);
}
/* nav */
.space{
    width: 30rem;
    height: 100vh;
}
#nav{
    background: var(--secondary-color);
    width: 30rem;
    height: 100vh;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(20,5%);
    position: fixed;
    transition: all 1s ease;
    z-index: 1;
}
#nav ul li a{
    padding: 1rem 1rem;
    display: block;
    width: 100%;
    transition: all .3s ease;
    border-top-left-radius: 5rem;
    border-bottom-left-radius: 5rem;
}
#nav ul li a:hover{
    background: var(--primary-color);
    transform: scale(1.05);
}
#nav ul{
    margin: 2rem;
    margin-right: 0;
    margin-top:28%;
    z-index: 1;
    text-align: left;
    font-size: 2.6rem;
    grid-row: 9;
}
#nav ul li{
    width: 100%;
    padding: 1rem 0;
    align-self: flex-start;
}
#nav ul li i{
    font-size: 2rem;
    text-align: center;
    background-color:var(--primary-dark);
    border-radius: 50%;
    padding: .5rem;
}
#nav ul li .about{
    padding: .6rem;
    font-size: 1.9rem;
}
#nav ul li .projects{
    padding: .6rem;
    font-size: 1.9rem;
    padding-right: 0.3rem;
}
#nav ul>*:first-child{
    text-align: center;
    padding-bottom: 6rem;
}
#nav ul .home{
    background: var(--primary-color);
}
#nav ul #nav ul .home{
    background-color: lavender;
}

/* social media */
.social-media{
    padding-left: 2rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 50%;
    justify-content: space-around;
    grid-row: 18;

}
.social-media i{
    font-size: 3.5rem;
    transition: all 0.3s ease;

}
.social-media a:hover{
    transition: all 0.3s ease;
    transform: scale(1.08);
    color:var(--primary-dark);
}
#nav h4{
    align-self: center;
    justify-self: center;
    grid-row: 20;
    font-size: 1.2rem;
}
/* home */
#home{
    background: url(../img/bacgrkound1.png)no-repeat center center/cover;
    height: 100vh;
}
#home .welcome{
    font-weight: 1000;
    padding-bottom: 2rem;
}
.content{
    flex-direction: column;
    width: 100%;
    height: 100%;
}
.cool-text{
    margin-bottom: 3rem;
}
/* about */
#about{
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* about me p */
.about-me{
    display:grid;
    grid-template-columns: repeat(10,1fr);
    margin: auto;
    margin-bottom: 5rem;
}
.about-me h2,h4{
    margin: 1.5rem 0;
}
.about-me h3,h4{
    color: #555;
}
.about-me div{
    grid-column: 2/span 5;
}
.hobbies{
    padding-top: 1.5rem;
    width: 50%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}
.hobbies i , .hobbies img{
    margin:0.5rem 3rem;
    color: var(--primary-dark);
    transition: all 0.3s ease;
    
}
.hobbies i:hover , .hobbies img:hover{
    transform: scale(1.2);
}
/* expertise */
.expertise{
    background-color: #F7F9FC;
    width: 65vw;
    display: grid;
    position: relative;
    grid-template-columns: 1fr 1fr;
    justify-self: center;
    justify-content: space-between;
    margin-bottom: 3rem;
}

#about .title{
    padding: 2rem;
    color: var(--primary-dark);   
    align-self: flex-start;
    margin-left: 10vw;
}
#about .front-end{
    border-right: 3px dotted var(--primary-color);
}
#about .front-end, #about .back-end{
    border-bottom: dotted 3px var(--primary-color);
}
.projects-content{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 40vh 40vh;
    padding: 3rem 5rem;
    grid-gap: 2rem;
}
.python{
    grid-column: span 2;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.python a{
    color: var(--primary-dark);
}
.python a:hover{
    text-decoration: underline;
}
.minecraft{
    background: url(../img/minecraft.png)no-repeat center center/cover;
}
.covid-19{
    background: url(../img/covid-api.png)no-repeat center center/cover;
}
.checkers{
    background: url(../img/resized-image-Promo.jpeg)no-repeat center center/cover;
    
}
.soon{
    background: url(../img/coming\ soon.png)no-repeat center center/cover;
}
/* projects */
.project-head{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
/* contact */
#contact{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.contact-form{
    display: grid;
    margin: 2rem;
    grid-gap: 5rem;
    grid-template-columns: 1fr 1fr;
}
.contact-form form{
    width: 50vw;
    display: flex;
    flex-direction: column;
    grid-column:2;
}
.contact-form form >*{
    border:none;
    border-bottom: 1px solid var(--primary-dark);
    padding:1rem 1rem;
    margin-top: 3.5rem ;
}
.contact-form form >*:focus{
    outline: none;
}
.contact-form form >*:last-child{
    border-bottom: 1px solid var(--primary-dark);
}
.contact-form input[type="reset"]{
    background: var(--primary-dark);
    border-radius: 2rem;
    font-size: 1.8rem;
    font-weight: 500;
    padding: 1rem;
    color: #fff;
    text-align: center;
    cursor: pointer;
}
.contact-footer{
    display: flex;
    margin-bottom: 3rem;
    align-items: end;
    height: 100%;
    justify-content: fle;
}
.contact-me{
    width: 10vw;
}